package com.leanwo.activiti.dto.approver;

import java.io.Serializable;

/**
 * 
 */
public class AdvancedSetting implements Serializable{
	
	/** 审批人去重. */
	private Boolean autoRepeat;
	
	/** 发起人审批时自动通过. */
	private Boolean myAuditAutoPass;
	
	/** 必填. */
	private Boolean remarkRequired;
	
	/** 对发起人不可见. */
	private Boolean notVisibleForSponsor;
	
	/** 集成钉钉待办任务. */
	private Boolean integrateDingDing;
	
	/**  节点审批通过，触发自定义事件. */
	private Boolean triggerAfterNodeApproved;
	
	/** 审批意见填写提示. */
	private String remarkTip;

	/**
	 * Gets the 审批人去重.
	 *
	 * @return the 审批人去重
	 */
	public Boolean getAutoRepeat() {
		return autoRepeat;
	}

	/**
	 * Sets the 审批人去重.
	 *
	 * @param autoRepeat the new 审批人去重
	 */
	public void setAutoRepeat(Boolean autoRepeat) {
		this.autoRepeat = autoRepeat;
	}

	/**
	 * Gets the 发起人审批时自动通过.
	 *
	 * @return the 发起人审批时自动通过
	 */
	public Boolean getMyAuditAutoPass() {
		return myAuditAutoPass;
	}

	/**
	 * Sets the 发起人审批时自动通过.
	 *
	 * @param myAuditAutoPass the new 发起人审批时自动通过
	 */
	public void setMyAuditAutoPass(Boolean myAuditAutoPass) {
		this.myAuditAutoPass = myAuditAutoPass;
	}

	/**
	 * Gets the 必填.
	 *
	 * @return the 必填
	 */
	public Boolean getRemarkRequired() {
		return remarkRequired;
	}

	/**
	 * Sets the 必填.
	 *
	 * @param remarkRequired the new 必填
	 */
	public void setRemarkRequired(Boolean remarkRequired) {
		this.remarkRequired = remarkRequired;
	}

	/**
	 * Gets the 对发起人不可见.
	 *
	 * @return the 对发起人不可见
	 */
	public Boolean getNotVisibleForSponsor() {
		return notVisibleForSponsor;
	}

	/**
	 * Sets the 对发起人不可见.
	 *
	 * @param notVisibleForSponsor the new 对发起人不可见
	 */
	public void setNotVisibleForSponsor(Boolean notVisibleForSponsor) {
		this.notVisibleForSponsor = notVisibleForSponsor;
	}

	/**
	 * Gets the 集成钉钉待办任务.
	 *
	 * @return the 集成钉钉待办任务
	 */
	public Boolean getIntegrateDingDing() {
		return integrateDingDing;
	}

	/**
	 * Sets the 集成钉钉待办任务.
	 *
	 * @param integrateDingDing the new 集成钉钉待办任务
	 */
	public void setIntegrateDingDing(Boolean integrateDingDing) {
		this.integrateDingDing = integrateDingDing;
	}

	/**
	 * Gets the 节点审批通过，触发自定义事件.
	 *
	 * @return the 节点审批通过，触发自定义事件
	 */
	public Boolean getTriggerAfterNodeApproved() {
		return triggerAfterNodeApproved;
	}

	/**
	 * Sets the 节点审批通过，触发自定义事件.
	 *
	 * @param triggerAfterNodeApproved the new 节点审批通过，触发自定义事件
	 */
	public void setTriggerAfterNodeApproved(Boolean triggerAfterNodeApproved) {
		this.triggerAfterNodeApproved = triggerAfterNodeApproved;
	}

	/**
	 * Gets the 审批意见填写提示.
	 *
	 * @return the 审批意见填写提示
	 */
	public String getRemarkTip() {
		return remarkTip;
	}

	/**
	 * Sets the 审批意见填写提示.
	 *
	 * @param remarkTip the new 审批意见填写提示
	 */
	public void setRemarkTip(String remarkTip) {
		this.remarkTip = remarkTip;
	}
}
